{
	name: "White Herb",
	spritenum: 535,
	fling: {
	  basePower: 10,
	  effect(pokemon) {
	    let activate = false;
	    const boosts = {};
	    let i;
	    for (i in pokemon.boosts) {
	      if (pokemon.boosts[i] < 0) {
	        activate = true;
	        boosts[i] = 0;
	      }
	    }
	    if (activate) {
	      pokemon.setBoost(boosts);
	      this.add("-clearnegativeboost", pokemon, "[silent]");
	    }
	  }
	},
	onUpdate(pokemon) {
	  let activate = false;
	  const boosts = {};
	  let i;
	  for (i in pokemon.boosts) {
	    if (pokemon.boosts[i] < 0) {
	      activate = true;
	      boosts[i] = 0;
	    }
	  }
	  if (activate && pokemon.useItem()) {
	    pokemon.setBoost(boosts);
	    this.add("-clearnegativeboost", pokemon, "[silent]");
	  }
	},
	num: 214,
	gen: 3
}